ConfigurationVariant (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.api.artifacts

## Interface ConfigurationVariant

- All Superinterfaces:
    `HasAttributes`, `HasConfigurableAttributes<ConfigurationVariant>`, `Named`

      public interface ConfigurationVariant
      extends Named, HasConfigurableAttributes<ConfigurationVariant>

  Represents some variant of an outgoing configuration.
  Since:
    3.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `artifact​(java.lang.Object notation)` | Adds an artifact to this variant.
    `void` | `artifact​(java.lang.Object notation, Action<? super ConfigurablePublishArtifact> configureAction)` | Adds an artifact to this variant, configuring it using the given action.
    `PublishArtifactSet` | `getArtifacts​()` | Returns the artifacts associated with this variant.

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

    - ### Methods inherited from interface org.gradle.api.attributes.HasConfigurableAttributes

      `attributes`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getArtifacts

          PublishArtifactSet getArtifacts​()

      Returns the artifacts associated with this variant.

    - #### artifact

          void artifact​(java.lang.Object notation)

      Adds an artifact to this variant.

      See `ArtifactHandler` for details of the supported notations.

    - #### artifact

          void artifact​(java.lang.Object notation,
                        Action<? super ConfigurablePublishArtifact> configureAction)

      Adds an artifact to this variant, configuring it using the given action.

      See `ArtifactHandler` for details of the supported notations.